<?php
/**
 * The template used for displaying page content in page.php
 *
 * @package Ayyash
 * @author ThemeRox
 */
$view = rox_get_view();
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">

		<?php if ( ! rox_get_mod( 'layout_' . $view . '_ft-img-hide' ) && has_post_thumbnail() ) : ?>

			<div class="post-image blog-normal effect slide-top" <?php echo rox_featured_image_width( $view ) ?>>
				<a href="<?php the_permalink() ?>"><?php the_post_thumbnail( 'blog-normal' ); ?></a>

				<div class="overlay">
					<div class="caption">
						<a href="<?php the_permalink() ?>"><?php _e( 'View more', 'ayyash' ); ?></a>
					</div>
					<a href="<?php the_permalink() ?>" class="expand"><i class="fa fa-plus"></i></a>
				</div>
			</div>

		<?php endif; ?>

		<?php if(get_post_meta(get_the_ID(),'roxtheme_page_title',true)=='enable' || get_post_meta(get_the_ID(),'roxtheme_page_title',true) =='default'){
			if(get_post_meta(get_the_ID(),'roxtheme_page_title',true)=='enable'){
				the_title( sprintf( '<h3 class="post-title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h3>' );
			} else{
				if ( rox_get_mod( 'layout_' . $view . '_title' ) ){
					the_title( sprintf( '<h3 class="post-title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h3>' );
				}
			}
		} ?>

	</header>
	<!-- .entry-header -->

	<div class="entry-content">
		<?php the_content(); ?>
		<?php
		wp_link_pages( array(
			'before' => '<div class="page-links">' . __( 'Pages:', 'ayyash' ),
			'after'  => '</div>',
		) );
		?>
	</div>
	<!-- .entry-content -->

	<footer class="entry-footer single-edit clearfix">
		<?php edit_post_link( __( '<i class="fa fa-pencil-square-o" aria-hidden="true"></i> Edit', 'ayyash' ), '<span class="edit-link">', '</span>' ); ?>
	</footer>
	<!-- .entry-footer -->
</article><!-- #post-## -->
