<?php
/**
 * @package Ayyash
 * @author ThemeRox
 */

$view = rox_get_view();
?>
<article id="post-<?php the_ID(); ?>" <?php post_class( 'post-normal post-single' ); ?>>
    <div class="post-body-wrap">
        <header class="entry-header">
            <?php get_template_part( 'partials/content', 'sticky' ); ?>
            <?php do_action('roxtheme_single_' . $view . '_before_ft_img'); ?>
            <?php if ( ! rox_get_mod( 'layout_' . $view . '_ft-img-hide' ) && has_post_thumbnail() ) : ?>
                <div class="post-image blog-normal effect slide-top" <?php echo rox_featured_image_width( $view ) ?>>
                    <?php the_post_thumbnail( 'blog-normal' ); ?>
                </div>
            <?php endif; ?>
            <?php if ( rox_get_mod( 'layout_' . $view . '_title' ) ) : ?>
                <?php the_title( sprintf( '<h1 class="post-title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h1>' ); ?>
            <?php endif; ?>
            <?php if ( 'post' == get_post_type() ) : ?>
                <div class="entry-meta">
                    <?php rox_post_meta(); ?>
                </div><!-- .entry-meta -->
            <?php endif; ?>
        </header>
        <!-- .entry-header -->
        <div class="entry-content">
            <?php the_content(); ?>
            <?php
            wp_link_pages( array(
                'before' => '<div class="page-links">' . __( 'Pages: ', 'ayyash' ),
                'after'  => '</div>',
            ) );
            ?>
        </div>
        <!-- .entry-content -->
    </div>

	<footer class="entry-footer clearfix">
		<?php rox_post_author_info(); ?>
		<?php rox_post_taxonomy( $view ); ?>
		<?php rox_post_single_navigation(); ?>
		<?php edit_post_link( __( "<i class='fa fa-pencil-square-o' aria-hidden='true'></i> Edit", 'ayyash' ), '<span class="edit-link">', '</span>' ); ?>
	</footer>
	<!-- .entry-footer -->
</article><!-- #post-## -->
