<?php
/**
 * The header.
 *
 * Displays all of the <head> section and everything up till end of </header>
 *
 * @package Ayyash
 * @author ThemeRox
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
    <head>
        <meta charset="<?php bloginfo('charset'); ?>">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="profile" href="http://gmpg.org/xfn/11">
        <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">
        
        <?php wp_head(); ?>
    </head>

<body <?php body_class(rox_get_mod('layout_global_site')); ?>>

<?php

/*----------------------------------------------------------------------
 * Custom action before page
 *----------------------------------------------------------------------*/

do_action('rox_before_page'); ?>

    <div id="page" class="hfeed site">

<?php

/*----------------------------------------------------------------------
 * Hooked with rox_skip_links
 *----------------------------------------------------------------------*/

do_action('rox_header_skip_links');


/*----------------------------------------------------------------------
 * Custom section before main header
 *----------------------------------------------------------------------*/

do_action('rox_before_header');


/*----------------------------------------------------------------------
 * Hooked rox_secondary_head
 *----------------------------------------------------------------------*/

do_action('rox_header_secondary_header');


/*----------------------------------------------------------------------
 * Hooked rox_master_head
 *----------------------------------------------------------------------*/

do_action('rox_header_master_header');

/*----------------------------------------------------------------------
 * Mobile Menu
 *----------------------------------------------------------------------*/

do_action('rox_header_mobile_menu');


/*----------------------------------------------------------------------
 * Custom action after main header
 *----------------------------------------------------------------------*/

do_action('rox_after_header');

?>