<?php

/*----------------------------------------------------------------------
 * Loading Menu Dependent File
 *----------------------------------------------------------------------*/

require 'rox-walker-nav-menu.php';
require 'mega-menu-abstruct.php';
require 'mega-menu-walker.php';
require 'icon_dialog_class.php';


/*----------------------------------------------------------------------
 * Menu Related Function bellow
 *----------------------------------------------------------------------*/

if ( ! function_exists( 'rox_site_menu' ) ) {
    function rox_site_menu() {

             /*
             * Function Name        : rox_site_menu
             * Function Hooked      :
             * Function return Type : html output for menu
             * Function Since       : 1.0.0
             */


        $mobile_grid = rox_get_mod('layout_header_menu_mobileshow');

        switch ($mobile_grid){
            case 'sm':
                $mobile_grid = 'd-none d-md-block';
                break;
            case 'md':
                $mobile_grid = ' d-none d-lg-block ';
                break;
            case 'lg':
                $mobile_grid = ' d-none d-xl-block';
                break;

            case 'xl':
                $mobile_grid = ' d-none';
                break;

            default:
                $mobile_grid = ' d-none d-md-block';
        }

        $output = '';
        ?>
        <nav id="site-nav" class="<?php echo esc_attr( $mobile_grid ); ?>" role="navigation">
        <?php if ( has_nav_menu( 'primary' ) ) {
            wp_nav_menu( array( 'theme_location'  => 'primary' ) );
        } else { ?>
            <div class="menu-not-assigned pull-right"><a href="<?php esc_url( admin_url('nav-menus.php') ); ?>" class="rox-sticky-item"><?php esc_html_e( 'No Menu Assigned , Please Add', 'ayyash' ); ?></a></div>
        <?php } ?>
        </nav>
        <?php
    }
}



if (! function_exists('rox_menu_admin_scripts')){
    function rox_menu_admin_scripts(){


             /*
             * Function Name        : rox_menu_admin_scripts
             * Function Hooked      :
             * Function return Type : admin enque script
             * Function Since       : 1.0.0
             */


        global $rox_theme_version;

        wp_enqueue_script( 'jquery-ui-dialog' );
        wp_enqueue_script( 'rox-menu-js', get_template_directory_uri() . '/inc/menu/assets/mega_menu.js', array( 'jquery' ), $rox_theme_version , 'all' );

        wp_enqueue_style( 'wp-jquery-ui-dialog' );
        wp_enqueue_style( 'rox-menu-support-css', get_template_directory_uri() . '/inc/menu/assets/rox-admin-menu.css', false, $rox_theme_version );


    }
}
add_action( 'admin_enqueue_scripts', 'rox_menu_admin_scripts' );



if ( ! function_exists('rox_menu_frontend_scripts')){
    function rox_menu_frontend_scripts(){


             /*
             * Function Name        : rox_menu_frontend_scripts
             * Function Hooked      :
             * Function return Type : frontend enque script
             * Function Since       : 1.0.0
             */


        global $rox_theme_version;

        wp_enqueue_style( 'rox-menu-css', get_template_directory_uri() . '/inc/menu/assets/mega_menu.css', false, $rox_theme_version );

        wp_enqueue_script( 'rox-mega-menu-activator', get_template_directory_uri() . '/inc/menu/assets/mega-menu-activator.js', array( 'jquery' ), '10123', true );

        wp_enqueue_script( 'rox-superfish-hover-intent', get_template_directory_uri() . '/inc/menu/assets/superfish/js/hoverIntent.js', array( 'jquery' ), '10123', true );
        wp_enqueue_script( 'rox-superfish', get_template_directory_uri() . '/inc/menu/assets/superfish/js/superfish.js', array( 'jquery' ), '10123', true );
        wp_enqueue_script( 'rox-superfish-sub', get_template_directory_uri() . '/inc/menu/assets/superfish/js/supersubs.js', array( 'jquery' ), '10123', true );

    }
}

add_action('wp_enqueue_scripts','rox_menu_frontend_scripts');

/**
 *
 * Get Icon
 * @since 1.0.0
 * @version 1.0.0
 *
 */
if ( ! function_exists( 'rox_icon_class' ) ) {
    function rox_icon_class( $icon, $before = false ) {
        if( empty( $icon ) ){ return null; }
        $icon = 'roxmenu-icon ' . substr( $icon, 0, 2 ) . ' ' . $icon;
        return $icon;
    }
}