<?php


/*----------------------------------------------------------------------
 * Load Core Files
 *----------------------------------------------------------------------*/

//load vendor
require get_template_directory() . '/inc/vendor/class-tgm-plugin-activation.php';
require get_template_directory() . '/inc/vendor/jetpack.php';

//Load customizer
require get_template_directory() . '/inc/customizer/bootstrap.php';

//Load core theme files
require get_template_directory() . '/inc/rox-theme-tags.php';
require get_template_directory() . '/inc/rox-theme-info.php';
require get_template_directory() . '/inc/rox-theme-helper-functions.php';
require get_template_directory() . '/inc/rox-theme-hooks.php';
require get_template_directory() . '/inc/rox-theme-hook-helper.php';
require get_template_directory() . '/inc/rox-theme-required-plugin.php';
require get_template_directory() . '/inc/rox-theme-register-widget.php';
if (class_exists('WooCommerce')) {
    require get_template_directory() . '/inc/woocommerce/woocommerce.php';
    require get_template_directory() . '/inc/woocommerce/yith-plugin-integration.php';
}

/*----------------------------------------------------------------------
 * Mega Menu Extension
 *----------------------------------------------------------------------*/

require get_template_directory() . '/inc/menu/menu.php';


/*----------------------------------------------------------------------
 * Woocommerce core file load
 *----------------------------------------------------------------------*/

if (class_exists('WooCommerce')) {
    require get_template_directory() . '/inc/woocommerce/rox-theme-woocommerce-hook-helper.php';
    require get_template_directory() . '/inc/woocommerce/rox-theme-woocommerce-hook.php';
}

/*----------------------------------------------------------------------
 * End Of php File Loading
 *----------------------------------------------------------------------*/


/*----------------------------------------------------------------------
 * Loading all Frontend Script for frontend operation and styling
 *----------------------------------------------------------------------*/

if (!function_exists('rox_scripts')):

    /**
     * Enqueue scripts and styles.
     */
    function rox_scripts()
    {

        global $wp_filesystem;
        if (empty($wp_filesystem)) {
            require ABSPATH . '/wp-admin/includes/file.php';
            WP_Filesystem();
        }


        // Enqueue required styles
        wp_enqueue_style('roxtheme-bootstrap', get_template_directory_uri() . '/assets/plugins/bootstrap/css/bootstrap.min.css');
        wp_enqueue_style('themify-icons.css', get_template_directory_uri() . '/assets/plugins/themify-icons/themify-icons.css');
        wp_enqueue_style('OwlCarousel', get_template_directory_uri() . '/assets/plugins/OwlCarousel/owl.carousel.min.css');
        wp_enqueue_style('plyr', get_template_directory_uri() . '/assets/plugins/plyr/plyr.css');
        wp_enqueue_style('roxtheme-main', get_template_directory_uri() . '/assets/css/roxtheme_main.css');
        wp_enqueue_style('woocommerce', get_template_directory_uri() . '/assets/css/woocommerce.css', array(), time());
        wp_enqueue_style('responsive', get_template_directory_uri() . '/assets/css/responsive.css', array(), time());
        wp_enqueue_style('roxtheme-style', get_stylesheet_uri(), array(
            'roxtheme-bootstrap',
        ));


        // Enqueue required scripts
        wp_enqueue_script('modernizr', get_template_directory_uri() . '/assets/plugins/modernizr/modernizr.custom.js', array(), false, true);
        wp_enqueue_script('popper', get_template_directory_uri() . '/assets/plugins/popper/popper.min.js', array(), false, true);
        wp_enqueue_script('bootstrap', get_template_directory_uri() . '/assets/plugins/bootstrap/js/bootstrap.min.js', array(), false, true);
        wp_enqueue_script('jquery-easing', get_template_directory_uri() . '/assets/plugins/jquery-easing/jquery.easing.min.js', array(), false, true);
        wp_enqueue_script('smoothscroll', get_template_directory_uri() . '/assets/plugins/smoothscroll/SmoothScroll.js', array(), false, true);
        wp_enqueue_script('imagesloaded');
        wp_enqueue_script('plyr', get_template_directory_uri() . '/assets/plugins/plyr/plyr.js', array(), false, true);
        wp_enqueue_script('masonry');
        wp_enqueue_script('OwlCarousel-js', get_template_directory_uri() . '/assets/plugins/OwlCarousel/owl.carousel.min.js', array(), false, true);
        wp_enqueue_script('lazyLoad', get_template_directory_uri() . '/assets/plugins/lazyLoad/jquery.lazy.min.js', array(), false, true);
        wp_enqueue_script('lazyLoad-plugin', get_template_directory_uri() . '/assets/plugins/lazyLoad/jquery.lazy.plugins.min.js', array(), false, true);
        wp_enqueue_script('roxtheme-js', get_template_directory_uri() . '/assets/js/roxtheme.js', array('jquery'), false, true);
        wp_enqueue_script('site-script', get_template_directory_uri() . '/assets/js/scripts.js', array('jquery'), false, true);

        $stickey_viewport = rox_get_mod('layout_header_menu_mobileshow');

        switch ($stickey_viewport) {

            case 'sm':
                $stickey_viewport_size = '576';
                break;
            case 'md':
                $stickey_viewport_size = '991';
                break;

            case 'lg':
                $stickey_viewport_size = '1201';
                break;

            case 'xl':
                $stickey_viewport_size = '1201';
                break;

            default:
                $stickey_viewport_size = '768';
        };

        wp_localize_script('roxtheme-js', 'roxtheme_ajax', array(
            'ajaxurl' => admin_url('admin-ajax.php'),
            'siteurl' => get_template_directory_uri(),
            'error' => __('Error!', 'ayyash'),
            'nonce' => wp_create_nonce('roxtheme-nonce'),
            'viewport' => $stickey_viewport_size,
            'sticky' => rox_get_mod('layout_header_sticky'),
            'header' => rox_get_mod('layout_header_sticky_height'),
            'accent' => (rox_get_mod('skin') != 'default') ? rox_get_mod('accent_color') : '#428bca',
            'no_smoothscroll' => (rox_get_mod('smoothscroll')) ? '1' : '0',
        ));
    }

endif;

add_action('wp_enqueue_scripts', 'rox_scripts');


/*----------------------------------------------------------------------
 * Loading all Admin Script which we need for admin
   related operation or styling
 *----------------------------------------------------------------------*/


if (!function_exists('rox_admin_scripts')):

    /**
     * Enqueue Admin scripts and styles.
     */
    function rox_admin_scripts($hook)
    {

        if (in_array($hook, array('post-new.php', 'post.php'))) :
            // Enqueue required styles

            wp_enqueue_style('wp-color-picker');

            wp_enqueue_script('jquery-reveal', get_template_directory_uri() . '/assets/plugins/reveal/jquery.reveal.js');
            wp_enqueue_style('jquery-reveal', get_template_directory_uri() . '/assets/plugins/reveal/reveal.css');

            // Enqueue required scripts
            wp_enqueue_script('roxtheme_custom_js', get_template_directory_uri() . '/assets/js/admin.js');


            //Support post meta
            wp_register_script('roxtheme-post-meta', get_template_directory_uri() . '/assets/admin/js/admin-post-format.js');
            wp_register_script('roxtheme-admin-scripts', get_template_directory_uri() . '/assets/admin/js/roxtheme-admin-scripts.js');

            wp_enqueue_script('roxtheme-post-meta');

        endif;
        wp_enqueue_style('font-awesome', get_template_directory_uri() . '/assets/plugins/themify-icons/themify-icons.css');
        wp_enqueue_style('admin-panel-css', get_template_directory_uri() . '/assets/admin/css/admin.css');


    }

endif;

add_action('admin_enqueue_scripts', 'rox_admin_scripts');