<?php


     /*
     * Function Name        : rox_recommended_plugins
     * Description          : Register required plugin with tgm so user can be notifies which plugin need to install for the perfect output of the theme
     * Function Hooked      : tgmpa_register
     * Function return Type : List of plugin name in tgmpa format
     * Function Since       : 1.0.o
     */


/*----------------------------------------------------------------------
 * Registering recomonded plugin
 *----------------------------------------------------------------------*/

add_action( 'tgmpa_register', 'rox_recommended_plugins' );

if ( ! function_exists( 'rox_recommended_plugins' ) ):

    /**
     * Hook into TGMPA and add recommended plugins
     *
     * @return void
     */
    function rox_recommended_plugins() {
		
		$plugins = array(
	        array(
                'name'               => 'Rox Theme Extensions',
                'slug'               => 'rox-extensions',
                'required'           =>  true,
                'source'             =>  'https://s3.amazonaws.com/required-plugin-install/ayyash/rox-extensions.zip',
            ),
            array(
                'name'               => 'Contact Form 7 Responses',
                'slug'               => 'cf7-responses',
                'required'           =>  true
            ),

            array(
                'name'               => 'Contact Form 7',
                'slug'               => 'contact-form-7',
                'required'           =>  true
            ),

			array(
				'name'               => 'Meta Box IO',
				'slug'               => 'meta-box',
				'required'           =>  true
			),
			array(
				'name'               => 'Regenerate Thumbnails',
				'slug'               => 'regenerate-thumbnails',
				'required'           =>  true
			),
			array(
				'name'               => 'WooCommerce',
				'slug'               => 'woocommerce',
				'required'           =>  true
			),
            array(
                'name'               => 'YITH WooCommerce Quick View',
                'slug'               => 'yith-woocommerce-quick-view',
                'required'           =>  true
            ),
            array(
                'name'               => 'YITH WooCommerce Compare',
                'slug'               => 'yith-woocommerce-compare',
                'required'           =>  true
            )
        );

        tgmpa( $plugins);

    }
endif;
