<?php
$view = rox_get_view();
?>

<div id="content">
    <?php rox_title_bar($view); ?>

    <div class="roxtheme-row site-content">
        <div class="<?php echo apply_filters('rox_content_container_cls', rox_get_mod('layout_global_content_layout')); ?>">
            <div class="row">

                <?php rox_try_sidebar($view, 'left'); ?>

                <div id="primary" class="content-area <?php rox_main_cls(); ?>">
                    <main id="main" class="site-main" role="main">

                        <?php if (have_posts()) : ?>
                            <div class="clearfix grid-container">

                                <?php /* Start the Loop */ ?>
                                <?php while (have_posts()) : the_post(); ?>
                                    <?php if ('gallery' == get_post_format()) {
                                        get_template_part('post-format/content', 'gallery');
                                    }elseif ('image' == get_post_format()) {
                                        get_template_part('post-format/content', 'image');
                                    }elseif ('video' == get_post_format()){
                                        get_template_part('post-format/content', 'video');
                                    }elseif ('audio' == get_post_format()){
                                        get_template_part('post-format/content', 'audio');
                                    }elseif ('link' == get_post_format()){
                                        get_template_part('post-format/content', 'link');
                                    }elseif ('quote' == get_post_format()){
                                        get_template_part('post-format/content', 'quote');
                                    } else {
                                        get_template_part('partials/content', 'grid-single');
                                    } ?>
                                <?php endwhile; ?>
                            </div>
                            <?php rox_pagination($pages = '', $range = 2); ?>

                        <?php else : ?>

                            <?php get_template_part('content', 'none'); ?>

                        <?php endif; ?>
                    </main>
                    <!-- #main -->
                </div>
                <!-- #primary -->

                <?php rox_try_sidebar($view, 'right'); ?>

            </div>
            <!-- .row -->
        </div>
        <!-- .container -->
    </div>
    <!-- .roxtheme-row -->
</div><!-- #content -->
