<?php $view = rox_get_view();

$layout = rox_get_mod( 'layout_' . $view . '_style' );

if( isset( $_GET['layout'] ) ) {

    $_layout    = isset( $_GET['layout'] ) ? sanitize_text_field( $_GET['layout'] ) : '';
    $layout     = $_layout == 'grid' || $_layout == 'normal' || $_layout == 'medium' ? $_layout : $layout;
}

?>
<div id="content">
	<?php rox_title_bar( $view ); ?>

	<div class="roxtheme-row site-content">
		<div class="<?php echo apply_filters( 'rox_content_container_cls', rox_get_mod('layout_global_content_layout') ); ?>">
			<div class="row">

				<?php rox_try_sidebar( $view, 'left' ); ?>

				<div id="primary" class="content-area <?php rox_main_cls(); ?>">
					<main id="main" class="site-main" role="main">

						<?php if ( have_posts() ) : ?>

							<?php /* Start the Loop */ ?>
							<?php while ( have_posts() ) : the_post(); ?>

                                <?php if ('gallery' == get_post_format()) {
                                    get_template_part('post-format/content', 'gallery');
                                }elseif ('image' == get_post_format()) {
                                    get_template_part('post-format/content', 'image');
                                }elseif ('video' == get_post_format()){
                                    get_template_part('post-format/content', 'video');
                                }elseif ('audio' == get_post_format()){
                                    get_template_part('post-format/content', 'audio');
                                }elseif ('link' == get_post_format()){
                                    get_template_part('post-format/content', 'link');
                                }elseif ('quote' == get_post_format()){
                                    get_template_part('post-format/content', 'quote');
                                } else { ?>

									<article <?php post_class( 'post-half clearfix' ); ?> id="post-<?php the_ID(); ?>">

										<?php if ( has_post_thumbnail() ) : ?>

											<div class="medium-left post-image blog-normal effect slide-top">
                                                <?php
                                                if(rox_get_mod('s_config_lazyload_enable')==1){?>
                                                    <a href="<?php the_permalink() ?>"><img class="lazy" data-src="<?php echo get_the_post_thumbnail_url(get_the_ID(),'blog-medium') ?>"></a>
                                                <?php }else{?>
                                                    <a href="<?php the_permalink() ?>"><?php the_post_thumbnail('blog-medium'); ?></a>
                                                <?php } ?>
											</div>

										<?php endif; ?>

										<div class="entry-content">

                                            <h3 class="post-title entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>

                                            <?php if ( 'post' == get_post_type() ) : ?>
                                                <div class="entry-meta">
                                                    <?php rox_post_meta(); ?>
                                                    <?php get_template_part( 'partials/content', 'sticky' ); ?>
                                                </div><!-- .entry-meta -->
                                            <?php endif; ?>

                                            <?php the_excerpt() ?>

										</div>

										<footer class="entry-footer">
											<?php rox_post_taxonomy( $view ); ?>
											<?php rox_post_read_more(); ?>
										</footer><!-- .entry-footer -->

									</article><!-- #post-## -->

								<?php }?>

						<?php endwhile; ?>

							<?php rox_pagination( $pages = '', $range = 2 ); ?>

						<?php else : ?>

							<?php get_template_part( 'content', 'none' ); ?>

						<?php endif; ?>

					</main>
					<!-- #main -->
				</div>
				<!-- #primary -->

				<?php rox_try_sidebar( $view, 'right' ); ?>

			</div>
			<!-- .row -->
		</div>
		<!-- .container -->
	</div>
	<!-- .roxtheme-row -->
</div><!-- #content -->
