<?php $view = rox_get_view();

$layout = rox_get_mod('layout_' . $view . '_style');

if( isset( $_GET['layout'] ) ) {

    $_layout    = isset( $_GET['layout'] ) ? sanitize_text_field( $_GET['layout'] ) : '';
    $layout     = $_layout == 'grid' || $_layout == 'normal' || $_layout == 'medium' ? $_layout : $layout;
}

?>

<?php if ($layout == 'grid') { ?>
    <div class="post-grid-wrap">
        <article <?php post_class('post-grid'); ?> id="post-<?php the_ID(); ?>">
            <div class="post-image blog-normal effect slide-top">
                <div class="entry-content-audio">
                    <?php
                    $roxtheme_audio_source = get_post_meta(get_the_ID(), 'roxtheme_audio_source', true);
                    if(function_exists('rwmb_meta') && !empty ($roxtheme_audio_source)){
                        $embed_audio = rwmb_meta('roxtheme_embed_code'); 
                        $roxtheme_embed_code = get_post_meta(get_the_ID(), 'roxtheme_embed_code', true);
                        $host_audio = rwmb_meta('roxtheme_self_host_audio', 'type=file');

                        if($roxtheme_audio_source == 'embed' && !empty($roxtheme_embed_code)){
                            echo wp_kses($roxtheme_embed_code,array(
                            'iframe' => array(
                                'width' => array(),
                                'height' => array(),
                                'src' => array(),
                                'frameborder' => array(),
                                'allowfullscreen' => array()
                        ),));
                        }elseif($roxtheme_audio_source == 'self-host' &&  !empty($host_audio) ){
                            foreach ($host_audio as $file_url) { ?>
                                <div class="post-video post-image blog-normal effect slide-top">
                                    <audio id="player" controls>
                                        <source src="<?php echo esc_url($file_url['url']); ?>"
                                                type="audio/<?php echo esc_attr($file_url['dataformat']); ?>">
                                        <source src="<?php echo esc_url($file_url['url']); ?>"
                                                type="audio/<?php echo esc_attr($file_url['dataformat']); ?>">
                                    </audio>
                                </div>
                            <?php }
                        }else{ ?>
                            <div class="alert alert-warning">
                                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;
                                </button>
                                <strong><?php _e('Opps ! Audio Source Not Found', 'ayyash') ?></strong> <?php _e('Seems You did not selected any audio or source type in your post area', 'ayyash') ?>
                            </div>
                        <?php }
                    }elseif(preg_match_all('/(\[audio.+\.mp3\])/m', get_the_content(), $matches)){
                        echo do_shortcode($matches[0][0]);
                    } else {?>
                        <div class="alert alert-warning">
                            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;
                            </button>
                            <strong><?php _e('Opps ! Audio Source Not Found', 'ayyash') ?></strong> <?php _e('Seems You did not selected any audio or source type in your post area', 'ayyash') ?>
                        </div>
                    <?php }

                     get_template_part('partials/content', 'sticky'); ?>

                    <h3 class="post-title entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                    </h3>

                    <?php if ('post' == get_post_type()) : ?>
                        <div class="entry-meta">
                            <?php rox_post_meta(); ?>
                        </div><!-- .entry-meta -->
                    <?php endif; ?>

                </div><!--/.entry-content-gallery-->
            </div>
        </article>
    </div>
<?php } else if ($layout == 'normal') { ?>

    <article id="post-<?php the_ID(); ?>" <?php post_class('post-normal'); ?>>
        <header class="entry-header">
            <?php
            $roxtheme_audio_source = get_post_meta(get_the_ID(), 'roxtheme_audio_source', true);
            if(function_exists('rwmb_meta') && !empty ($roxtheme_audio_source)){
            $embed_audio = rwmb_meta('roxtheme_embed_code');
           
            $roxtheme_embed_code = get_post_meta(get_the_ID(), 'roxtheme_embed_code', true);
            $host_audio = rwmb_meta('roxtheme_self_host_audio', 'type=file');

            if($roxtheme_audio_source == 'embed' && !empty($roxtheme_embed_code)){

                    echo wp_kses($roxtheme_embed_code,array(
                        'iframe' => array(
                            'width' => array(),
                            'height' => array(),
                            'src' => array(),
                            'frameborder' => array(),
                            'allowfullscreen' => array()
                    ),));
            
            }elseif($roxtheme_audio_source == 'self-host' &&  !empty($host_audio) ){
            foreach ($host_audio as $file_url) { ?>
            <div class="post-video post-image blog-normal effect slide-top">
                <audio id="player" controls>
                    <source src="<?php echo esc_url($file_url['url']); ?>"
                            type="audio/<?php echo esc_attr($file_url['dataformat']); ?>">
                    <source src="<?php echo esc_url($file_url['url']); ?>"
                            type="audio/<?php echo esc_attr($file_url['dataformat']); ?>">
                </audio>
            </div>
            <?php }
            }else{ ?>
            <div class="alert alert-warning">
                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;
                </button>
                <strong><?php _e('Opps ! Audio Source Not Found', 'ayyash') ?></strong> <?php _e('Seems You did not selected any audio or source type in your post area', 'ayyash') ?>
            </div>
            <?php }
            }elseif(preg_match_all('/(\[audio.+\.mp3\])/m', get_the_content(), $matches)){
                echo do_shortcode($matches[0][0]);
            } else {?>
            <div class="alert alert-warning">
                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;
                </button>
                <strong><?php _e('Opps ! Audio Source Not Found', 'ayyash') ?></strong> <?php _e('Seems You did not selected any audio or source type in your post area', 'ayyash') ?>
            </div>
            <?php }
             the_title(sprintf('<h3 class="post-title entry-title"><a href="%s" rel="bookmark">', esc_url(get_permalink())), '</a></h3>'); ?>
            <?php if ('post' == get_post_type()) : ?>
                <div class="entry-meta">
                    <?php rox_post_meta(); ?>
                </div><!-- .entry-meta -->
            <?php endif; ?>
        </header>
        <!-- .entry-header -->
        <div class="entry-content">
            <?php the_excerpt(); ?>
            <?php wp_link_pages(array(
                'before' => '<div class="page-links">' . __('Pages:', 'ayyash'),
                'after' => '</div>',
            ));
            ?>
        </div>
        <!-- .entry-content -->

        <footer class="entry-footer">
            <?php rox_post_taxonomy($view); ?>
            <?php rox_post_read_more(); ?>
        </footer>
        <!-- .entry-footer -->
    </article><!-- #post-## -->
<?php } else { ?>
    <article <?php post_class('post-half clearfix'); ?> id="post-<?php the_ID(); ?>">
        <?php get_template_part('partials/content', 'sticky'); ?>
        <?php
        $roxtheme_audio_source = get_post_meta(get_the_ID(), 'roxtheme_audio_source', true);
        if(function_exists('rwmb_meta') && !empty ($roxtheme_audio_source)){
        $embed_audio = rwmb_meta('roxtheme_embed_code');
        $roxtheme_embed_code = get_post_meta(get_the_ID(), 'roxtheme_embed_code', true);
        $host_audio = rwmb_meta('roxtheme_self_host_audio', 'type=file');

        if($roxtheme_audio_source == 'embed' && !empty($roxtheme_embed_code)){?>
            <div class="medium-left post-audio post-image blog-normal effect slide-top">
                <?php 
                    echo wp_kses($roxtheme_embed_code,array(
                        'iframe' => array(
                            'width' => array(),
                            'height' => array(),
                            'src' => array(),
                            'frameborder' => array(),
                            'allowfullscreen' => array()
                    ),)); ?>
            </div>
        <?php }elseif($roxtheme_audio_source == 'self-host' &&  !empty($host_audio) ){
        foreach ($host_audio as $file_url) { ?>
        <div class="medium-left post-audio post-image blog-normal effect slide-top">
            <audio id="player" controls>
                <source src="<?php echo esc_url($file_url['url']); ?>"
                        type="audio/<?php echo esc_attr($file_url['dataformat']); ?>">
                <source src="<?php echo esc_url($file_url['url']); ?>"
                        type="audio/<?php echo esc_attr($file_url['dataformat']); ?>">
            </audio>
        </div>
        <?php }
        }else{ ?>
        <div class="medium-left alert alert-warning">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;
            </button>
            <strong><?php _e('Opps ! Audio Source Not Found', 'ayyash') ?></strong> <?php _e('Seems You did not selected any audio or source type in your post area', 'ayyash') ?>
        </div>
        <?php }
        }elseif(preg_match_all('/(\[audio.+\.mp3\])/m', get_the_content(), $matches)){?>
            <div class="medium-left post-audio post-image blog-normal effect slide-top">
                <?php  echo do_shortcode($matches[0][0]); ?>
            </div>
        <?php } else {?>
        <div class="medium-left alert alert-warning">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;
            </button>
            <strong><?php _e('Opps ! Audio Source Not Found', 'ayyash') ?></strong> <?php _e('Seems You did not selected any audio or source type in your post area', 'ayyash') ?>
        </div>s
        <?php } ?>

        <div class="entry-content">
            <h3 class="post-title entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
            <?php if ('post' == get_post_type()) : ?>
                <div class="entry-meta">
                    <?php rox_post_meta(); ?>
                </div><!-- .entry-meta -->
            <?php endif; ?>
            <?php the_excerpt() ?>
            <footer class="entry-footer">
                <?php rox_post_taxonomy($view); ?>
                <?php rox_post_read_more(); ?>
            </footer><!-- .entry-footer -->
        </div>

    </article><!-- #post-## -->

<?php }

?>
