<?php

$view = rox_get_view();

$layout = rox_get_mod( 'layout_' . $view . '_style' );

if( isset( $_GET['layout'] ) ) {

    $_layout    = isset( $_GET['layout'] ) ? sanitize_text_field( $_GET['layout'] ) : '';
    $layout     = $_layout == 'grid' || $_layout == 'normal' || $_layout == 'medium' ? $_layout : $layout;
}

?>

<?php if($layout=='grid'){ ?>

    <div class="post-grid-wrap">
        <article <?php post_class( 'post-grid' ); ?> id="post-<?php the_ID(); ?>">
            <div class="post-image blog-normal effect slide-top">
                <div class="entry-content-gallery">
                    <?php $slides = get_post_meta( get_the_ID(),'roxtheme_gallery_images',false); ?>
                    <?php if(function_exists('rwmb_meta') && !empty($slides) ){ ?>
                        <?php if(count($slides) > 0) { ?>
                            <div id="blog-gallery-slider<?php echo get_the_ID(); ?>" class="carousel slide blog-gallery-slider">
                                <!-- Wrapper for slides -->
                                <div class="carousel-inner">
                                    <?php $slide_no = 1; ?>
                                    <?php foreach( $slides as $slide ) { ?>
                                        <div class="carousel-item <?php if($slide_no == 1) echo 'active'; ?>">
                                            <?php $images = wp_get_attachment_image_src( $slide, 'roxtheme-large' ); ?>
                                            <img class="img-responsive" src="<?php echo esc_url($images[0]); ?>" alt="<?php  esc_html_e( 'image', 'ayyash' ); ?>">
                                        </div>
                                        <?php $slide_no++; ?>
                                    <?php } ?>
                                </div>
                                <!-- Controls -->
                                <a class="left carousel-left" href="#blog-gallery-slider<?php echo get_the_ID(); ?>" data-slide="prev">
                                    <i class="ti-angle-left"></i>
                                </a>
                                <a class="right carousel-right" href="#blog-gallery-slider<?php echo get_the_ID(); ?>" data-slide="next">
                                    <i class="ti-angle-right"></i>
                                </a>
                            </div>
                        <?php } ?>
                    <?php }else{ ?>
                        <?php $gallery = get_post_gallery( get_the_ID(), false ); ?>
                        <?php if(count($gallery) > 0) { ?>
                            <div id="blog-gallery-slider<?php echo get_the_ID(); ?>" class="carousel slide blog-gallery-slider">
                                <!-- Wrapper for slides -->
                                <div class="carousel-inner">
                                    <?php $slide_no = 1; ?>
                                    <?php foreach( $gallery['src'] as $src ) { ?>
                                        <div class="carousel-item <?php if($slide_no == 1) echo 'active'; ?>">
                                            <img class="img-responsive" src="<?php echo esc_url($src); ?>" alt="<?php  esc_html_e( 'image', 'ayyash' ); ?>">
                                        </div>
                                        <?php $slide_no++; ?>
                                    <?php } ?>
                                </div>
                                <!-- Controls -->
                                <a class="left carousel-left" href="#blog-gallery-slider<?php echo get_the_ID(); ?>" data-slide="prev">
                                    <i class="ti-angle-left"></i>
                                </a>
                                <a class="right carousel-right" href="#blog-gallery-slider<?php echo get_the_ID(); ?>" data-slide="next">
                                    <i class="ti-angle-right"></i>
                                </a>
                            </div>
                        <?php } ?>
                    <?php } ?>
                    <?php get_template_part( 'partials/content', 'sticky' ); ?>
                    <h3 class="post-title entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>

                    <?php if ( 'post' == get_post_type() ) : ?>
                        <div class="entry-meta">
                            <?php rox_post_meta(); ?>
                        </div><!-- .entry-meta -->
                    <?php endif; ?>

                </div><!--/.entry-content-gallery-->
            </div>
        </article> <!--/#post -->
    </div>

<?php } else if($layout=='normal'){ ?>

    <article id="post-<?php the_ID(); ?>" <?php post_class( 'post-normal' ); ?>>
        <header class="entry-header">
            <?php get_template_part( 'partials/content', 'sticky' ); ?>
            <?php $slides = get_post_meta( get_the_ID(),'roxtheme_gallery_images',false); ?>
            <?php if(function_exists('rwmb_meta') && !empty($slides) ){ ?>
                <?php if(count($slides) > 0) { ?>
                    <div id="blog-gallery-slider<?php echo get_the_ID(); ?>" class="carousel slide blog-gallery-slider">
                        <!-- Wrapper for slides -->
                        <div class="carousel-inner">
                            <?php $slide_no = 1; ?>
                            <?php foreach( $slides as $slide ) { ?>
                                <div class="carousel-item <?php if($slide_no == 1) echo 'active'; ?>">
                                    <?php $images = wp_get_attachment_image_src( $slide, 'roxtheme-large' ); ?>
                                    <img class="img-responsive" src="<?php echo esc_url($images[0]); ?>" alt="<?php  esc_html_e( 'image', 'ayyash' ); ?>">
                                </div>
                                <?php $slide_no++; ?>
                            <?php } ?>
                        </div>
                        <!-- Controls -->
                        <a class="left carousel-left" href="#blog-gallery-slider<?php echo get_the_ID(); ?>" data-slide="prev">
                            <i class="ti-angle-left"></i>
                        </a>
                        <a class="right carousel-right" href="#blog-gallery-slider<?php echo get_the_ID(); ?>" data-slide="next">
                            <i class="ti-angle-right"></i>
                        </a>
                    </div>
                <?php } ?>
            <?php }else{ ?>
                <?php $gallery = get_post_gallery( get_the_ID(), false ); ?>
                <?php if(count($gallery) > 0) { ?>
                    <div id="blog-gallery-slider<?php echo get_the_ID(); ?>" class="carousel slide blog-gallery-slider">
                        <!-- Wrapper for slides -->
                        <div class="carousel-inner">
                            <?php $slide_no = 1; ?>
                            <?php foreach( $gallery['src'] as $src ) { ?>
                                <div class="carousel-item <?php if($slide_no == 1) echo 'active'; ?>">
                                    <img class="img-responsive" src="<?php echo esc_url($src); ?>" alt="<?php  esc_html_e( 'image', 'ayyash' ); ?>">
                                </div>
                                <?php $slide_no++; ?>
                            <?php } ?>
                        </div>
                        <!-- Controls -->
                        <a class="left carousel-left" href="#blog-gallery-slider<?php echo get_the_ID(); ?>" data-slide="prev">
                            <i class="ti-angle-left"></i>
                        </a>
                        <a class="right carousel-right" href="#blog-gallery-slider<?php echo get_the_ID(); ?>" data-slide="next">
                            <i class="ti-angle-right"></i>
                        </a>
                    </div>
                <?php } ?>
            <?php } ?>

            <?php the_title( sprintf( '<h3 class="post-title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h3>' ); ?>

            <?php if ( 'post' == get_post_type() ) : ?>
                <div class="entry-meta">
                    <?php rox_post_meta(); ?>
                </div><!-- .entry-meta -->
            <?php endif; ?>

        </header>
        <!-- .entry-header -->

        <div class="entry-content">
            <?php if ( !empty(get_the_content())){ ?>
                <div class="extra-content-class"></div>
            <?php }else{
                the_excerpt();
            } ?>
            <?php wp_link_pages( array(
                'before' => '<div class="page-links">' . __( 'Pages:', 'ayyash' ),
                'after'  => '</div>',
            ) );
            ?>
        </div>
        <!-- .entry-content -->

        <footer class="entry-footer">
            <?php rox_post_taxonomy( $view ); ?>
            <?php rox_post_read_more(); ?>
        </footer>
        <!-- .entry-footer -->
    </article><!-- #post-## -->

<?php } else { ?>

    <article <?php post_class( 'post-half clearfix' ); ?> id="post-<?php the_ID(); ?>">
        <?php get_template_part( 'partials/content', 'sticky' ); ?>
        <?php $slides = get_post_meta( get_the_ID(),'roxtheme_gallery_images',false); ?>

        <?php if(function_exists('rwmb_meta') && !empty($slides) ){ ?>

            <?php if(count($slides) > 0) { ?>
                <div id="blog-gallery-slider<?php echo get_the_ID(); ?>" class="medium-left carousel slide blog-gallery-slider post-image">
                    <!-- Wrapper for slides -->
                    <div class="carousel-inner">
                        <?php $slide_no = 1; ?>
                        <?php foreach( $slides as $slide ) { ?>
                            <div class="carousel-item <?php if($slide_no == 1) echo 'active'; ?>">
                                <?php $images = wp_get_attachment_image_src( $slide, 'roxtheme-large' ); ?>
                                <img class="img-responsive" src="<?php echo esc_url($images[0]); ?>" alt="<?php  esc_html_e( 'image', 'ayyash' ); ?>">
                            </div>
                            <?php $slide_no++; ?>
                        <?php } ?>
                    </div>
                    <!-- Controls -->
                    <a class="left carousel-left" href="#blog-gallery-slider<?php echo get_the_ID(); ?>" data-slide="prev">
                        <i class="ti-angle-left"></i>
                    </a>
                    <a class="right carousel-right" href="#blog-gallery-slider<?php echo get_the_ID(); ?>" data-slide="next">
                        <i class="ti-angle-right"></i>
                    </a>
                </div>

            <?php } ?>
        <?php } else {?>
            <?php $gallery = get_post_gallery( get_the_ID(), false ); ?>
            <?php if(count($gallery) > 0) { ?>
                <div id="blog-gallery-slider<?php echo get_the_ID(); ?>" class="medium-left carousel slide blog-gallery-slider post-image">
                    <!-- Wrapper for slides -->
                    <div class="carousel-inner">
                        <?php $slide_no = 1; ?>
                        <?php foreach( $gallery['src'] as $src ) { ?>
                            <div class="carousel-item <?php if($slide_no == 1) echo 'active'; ?>">
                                <img class="img-responsive" src="<?php echo esc_url($src); ?>" alt="<?php  esc_html_e( 'image', 'ayyash' ); ?>">
                            </div>
                            <?php $slide_no++; ?>
                        <?php } ?>
                    </div>
                    <!-- Controls -->
                    <a class="left carousel-left" href="#blog-gallery-slider<?php echo get_the_ID(); ?>" data-slide="prev">
                        <i class="ti-angle-left"></i>
                    </a>
                    <a class="right carousel-right" href="#blog-gallery-slider<?php echo get_the_ID(); ?>" data-slide="next">
                        <i class="ti-angle-right"></i>
                    </a>
                </div>
            <?php } ?>

        <?php } ?>

        <div class="entry-content">
            <h3 class="post-title entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>

            <?php if ( 'post' == get_post_type() ) : ?>
                <div class="entry-meta">
                    <?php rox_post_meta(); ?>
                </div><!-- .entry-meta -->
            <?php endif; ?>
            <?php the_excerpt() ?>
        </div>

        <footer class="entry-footer">
            <?php rox_post_taxonomy( $view ); ?>
            <?php rox_post_read_more(); ?>
        </footer><!-- .entry-footer -->

    </article><!-- #post-## -->

<?php }

?>
