<?php
$view = rox_get_view();
$layout = rox_get_mod( 'layout_' . $view . '_style' );

if( isset( $_GET['layout'] ) ) {

    $_layout    = isset( $_GET['layout'] ) ? sanitize_text_field( $_GET['layout'] ) : '';
    $layout     = $_layout == 'grid' || $_layout == 'normal' || $_layout == 'medium' ? $_layout : $layout;
}

?>
<?php if($layout=='grid'){ ?>
<div class="post-grid-wrap">
    <article id="post-<?php the_ID(); ?>" <?php post_class('post-grid'); ?>>
        <?php if(is_single()){ ?>
            <?php get_template_part( 'post-format/entry-content' ); ?>
        <?php }  ?>
        <?php if ( has_post_thumbnail() ){ ?>
            <div class="post-image blog-normal effect slide-top">
                <?php get_template_part('partials/content', 'sticky'); ?>
                <a href="<?php the_permalink() ?>"><?php the_post_thumbnail('blog-gird'); ?></a>
            </div>
        <?php } else { ?>
            <?php
            $content = apply_filters( 'the_content', get_the_content() );
            $image = get_media_embedded_in_content( $content, array( 'image') );
            echo wp_kses($image[0],array(
                'img' => array(
                        'width' => array(),
                        'height' => array(),
                        'src' => array(),
                        'frameborder' => array(),
                        'allowfullscreen' => array()
                    ),)); 
            ?>
        <?php } ?>
        <?php the_title(sprintf('<h3 class="post-title entry-title"><a href="%s" rel="bookmark">', esc_url(get_permalink())), '</a></h3>'); ?>
        <?php if ('post' == get_post_type()) : ?>
            <div class="entry-meta">
                <?php rox_post_meta(); ?>
            </div><!-- .entry-meta -->
        <?php endif; ?>
        <div class="entry-blog">
            <?php if( !is_single() ){ ?>
             <?php get_template_part( 'post-format/entry-content' ); ?>
             <?php }  ?>
             <?php get_template_part( 'post-format/entry-content-blog' ); ?>
         </div> <!--  /.entry-blog -->
    </article> <!--/#post-->
</div>
<?php } else if($layout=='normal'){ ?>
<article id="post-<?php the_ID(); ?>" <?php post_class('post-normal'); ?>>
    <?php if(is_single()){ ?>
        <?php get_template_part( 'post-format/entry-content' ); ?>
    <?php }  ?>
    <?php if ( has_post_thumbnail() ){ ?>
            <?php get_template_part('partials/content', 'sticky'); ?>
                <div class="post-image blog-normal effect slide-top">
                    <a href="<?php the_permalink() ?>"><?php the_post_thumbnail('blog-normal'); ?></a>
                </div>
    <?php } else { ?>
        <?php
        $content = apply_filters( 'the_content', get_the_content() );
        $image = get_media_embedded_in_content( $content, array( 'image') );
            echo wp_kses($image[0],array(
                'img' => array(
                        'width' => array(),
                        'height' => array(),
                        'src' => array(),
                        'frameborder' => array(),
                        'allowfullscreen' => array()
                    ),));        
        ?>
    <?php } ?>
    <?php the_title(sprintf('<h3 class="post-title entry-title"><a href="%s" rel="bookmark">', esc_url(get_permalink())), '</a></h3>'); ?>
    <?php if ('post' == get_post_type()) : ?>
        <div class="entry-meta">
            <?php rox_post_meta(); ?>
        </div><!-- .entry-meta -->
    <?php endif; ?>
    <div class="entry-blog">
        <?php if( !is_single() ){ ?>
            <?php get_template_part( 'post-format/entry-content' ); ?>
        <?php }  ?>
        <?php get_template_part( 'post-format/entry-content-blog' ); ?>
    </div> <!--  /.entry-blog -->
</article> <!--/#post-->
<?php } else { ?>
    <article id="post-<?php the_ID(); ?>" <?php post_class('post-half clearfix'); ?>>
        <?php if(is_single()){ ?>
            <?php get_template_part( 'post-format/entry-content' ); ?>
        <?php }  ?>
        <?php if ( has_post_thumbnail() ){ ?>
            <div class="medium-left">
                <a href="<?php the_permalink() ?>"><?php the_post_thumbnail( 'blog-medium' ); ?></a>
            </div>
        <?php } else { ?>
            <div class="medium-left">
                <?php
                $content = apply_filters( 'the_content', get_the_content() );
                $image = get_media_embedded_in_content( $content, array( 'image') );
                echo wp_kses($image[0],array(
                'img' => array(
                        'width' => array(),
                        'height' => array(),
                        'src' => array(),
                        'frameborder' => array(),
                        'allowfullscreen' => array()
                    ),)); 
                ?>
            </div>
        <?php } ?>
        <div class="entry-content">
            <h3 class="post-title entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
            <?php if ( 'post' == get_post_type() ) : ?>
                <div class="entry-meta">
                    <?php rox_post_meta(); ?>
                    <?php get_template_part( 'partials/content', 'sticky' ); ?>
                </div><!-- .entry-meta -->
            <?php endif; ?>
            <?php the_excerpt() ?>
        </div>
        <footer class="entry-footer footer-extra-margin">
            <?php rox_post_taxonomy( $view ); ?>
            <?php rox_post_read_more(); ?>
        </footer><!-- .entry-footer -->
        <div class="entry-blog">
            <?php if( !is_single() ){ ?>
                <?php get_template_part( 'post-format/entry-content' ); ?>
            <?php }  ?>
            <?php get_template_part( 'post-format/entry-content-blog' ); ?>
        </div> <!--  /.entry-blog -->
    </article> <!--/#post-->


<?php }

?>
