<?php $view = rox_get_view();
$layout = rox_get_mod( 'layout_' . $view . '_style' );

if( isset( $_GET['layout'] ) ) {

    $_layout    = isset( $_GET['layout'] ) ? sanitize_text_field( $_GET['layout'] ) : '';
    $layout     = $_layout == 'grid' || $_layout == 'normal' || $_layout == 'medium' ? $_layout : $layout;
}

?>
<?php if($layout=='grid'){ ?>
    <div class="post-grid-wrap">
        <article <?php post_class( 'post-grid' ); ?> id="post-<?php the_ID(); ?>">
            <div class="post-image blog-normal effect slide-top">
                <div class="entry-content-link">
                    <?php if(function_exists('rwmb_meta')){ ?>
                        <?php  if ( get_post_meta( get_the_ID(), 'roxtheme_link',true ) ) { ?>
                            <div class="entry-link-post-format">
                                <div class="entry-content">
                                    <a href="<?php echo esc_url(get_post_meta( get_the_ID(), 'roxtheme_link',true )); ?>" target="_blank">
                                        <?php echo esc_html(get_post_meta( get_the_ID(), 'roxtheme_link',true )); ?>
                                    </a>
                                </div>
                            </div>
                        <?php } ?>
                    <?php } ?>
                    <?php get_template_part( 'partials/content', 'sticky' ); ?>
                    <h3 class="post-title entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                    <?php if ( 'post' == get_post_type() ) : ?>
                        <div class="entry-meta">
                            <?php rox_post_meta(); ?>
                        </div><!-- .entry-meta -->
                    <?php endif; ?>
                </div><!--/.entry-content-gallery-->
            </div>
        </article> <!--/#post -->
    </div> <!-- .post-grid-wrap -->
<?php } else if($layout=='normal'){ ?>
    <article id="post-<?php the_ID(); ?>" <?php post_class( 'post-normal' ); ?>>
        <header class="entry-header">
            <?php get_template_part('partials/content', 'sticky'); ?>
            <?php if(function_exists('rwmb_meta')){ ?>
                <?php  if ( get_post_meta( get_the_ID(), 'rox_link',true ) ) { ?>
                    <div class="entry-link-post-format">
                        <div class="entry-content">
                            <a href="<?php echo esc_url(get_post_meta( get_the_ID(), 'roxtheme_link',true )); ?>" target="_blank">
                                <?php echo esc_html(get_post_meta( get_the_ID(), 'roxtheme_link',true )); ?>
                            </a>
                        </div>
                    </div>
                <?php } ?>
            <?php } ?>
            <?php the_title(sprintf('<h3 class="post-title entry-title"><a href="%s" rel="bookmark">', esc_url(get_permalink())), '</a></h1>'); ?>
            <?php if ('post' == get_post_type()) : ?>
                <div class="entry-meta">
                    <?php rox_post_meta(); ?>
                </div><!-- .entry-meta -->
            <?php endif; ?>
        </header><!-- .entry-header -->
        <div class="entry-content">
            <?php the_excerpt(); ?>
            <?php wp_link_pages(array(
                'before' => '<div class="page-links">' . __('Pages:', 'ayyash'),
                'after' => '</div>',
            ));
            ?>
        </div><!-- .entry-content -->
        <footer class="entry-footer">
            <?php rox_post_taxonomy($view); ?>
            <?php rox_post_read_more(); ?>
        </footer><!-- .entry-footer -->
    </article><!-- #post-## -->
<?php } else { ?>
    <article <?php post_class( 'post-half clearfix' ); ?> id="post-<?php the_ID(); ?>">
        <?php get_template_part( 'partials/content', 'sticky' ); ?>
        <?php if(function_exists('rwmb_meta')){ ?>
            <?php  if ( get_post_meta( get_the_ID(), 'roxtheme_link',true ) ) { ?>
                <div class="medium-left entry-link-post-format">
                    <div class="entry-content">
                        <a href="<?php echo esc_url(get_post_meta( get_the_ID(), 'roxtheme_link',true )); ?>" target="_blank">
                            <?php echo esc_html(get_post_meta( get_the_ID(), 'roxtheme_link',true )); ?>
                        </a>
                    </div>
                </div>
            <?php } ?>
        <?php } ?>
        <div class="entry-content">
            <h3 class="post-title entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
            <?php if ( 'post' == get_post_type() ) : ?>
                <div class="entry-meta">
                    <?php rox_post_meta(); ?>
                </div><!-- .entry-meta -->
            <?php endif; ?>
            <?php the_excerpt() ?>
        </div>
        <footer class="entry-footer">
            <?php rox_post_taxonomy( $view ); ?>
            <?php rox_post_read_more(); ?>
        </footer><!-- .entry-footer -->
    </article><!-- #post-## -->
<?php }
?>
