<?php $view = rox_get_view();
$layout = rox_get_mod('layout_' . $view . '_style');

if( isset( $_GET['layout'] ) ) {

    $_layout    = isset( $_GET['layout'] ) ? sanitize_text_field( $_GET['layout'] ) : '';
    $layout     = $_layout == 'grid' || $_layout == 'normal' || $_layout == 'medium' ? $_layout : $layout;
}

global $post; ?>
<?php if ($layout == 'grid') { ?>
    <div class="post-grid-wrap">
        <article <?php post_class('post-grid'); ?> id="post-<?php the_ID(); ?>">
            <div class="post-image blog-normal effect slide-top">
                <div class="entry-content-video">
                    <?php
                    $content = apply_filters('the_content', get_the_content());
                    $video = false;

                    // Only get video from the content if a playlist isn't present.
                    if (false === strpos($content, 'wp-playlist-script')) {
                        $video = get_media_embedded_in_content($content, array('video', 'object', 'embed', 'iframe'));
                    }

                    $rox_video_type = get_post_meta(get_the_ID(), 'roxtheme_video_source', true);

                    $rox_video_id_or_embed = get_post_meta(get_the_ID(), 'roxtheme_video', true);

                    $rox_video_time_duration = get_post_meta(get_the_ID(), 'roxtheme_video_durations', true);

                    if (function_exists('rwmb_meta') && !empty($rox_video_type)) {

                        if ($rox_video_type == 'youtube') {
                            if (!empty($rox_video_id_or_embed)) {
                                ?>
                                <div class="post-video blog-grid post-image effect slide-top">
                                    <div id="player" data-plyr-provider="youtube"
                                         data-plyr-embed-id="<?php echo esc_attr($rox_video_id_or_embed) ?>"></div>
                                </div>
                            <?php }
                        } elseif ($rox_video_type == 'vimeo') {

                            if (!empty($rox_video_id_or_embed)) { ?>
                                <div class="post-video blog-grid post-image effect slide-top">
                                    <div id="player" data-plyr-provider="vimeo"
                                         data-plyr-embed-id="<?php echo esc_attr($rox_video_id_or_embed) ?>"></div>
                                </div>

                            <?php }
                        } else { ?>

                            <div class="alert alert-warning">
                                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;
                                </button>
                                <strong><?php _e('Opps ! Video Source Not Found', 'ayyash') ?></strong> <?php _e('Seems You did not selected any video or source type in your post area', 'ayyash') ?>
                            </div>

                        <?php }

                        ?>
                    <?php } elseif (!empty($video)) {

                        foreach ($video as $video_html) {
                            echo '<div class="post-video blog-grid post-image effect slide-top">';
                            echo wp_kses($video_html,array(
                                'iframe' => array(
                                    'width' => array(),
                                    'height' => array(),
                                    'src' => array(),
                                    'frameborder' => array(),
                                    'allowfullscreen' => array()
                                ),));
                            echo '</div>';
                        }

                    } else { ?>

                        <div class="alert alert-warning">
                            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                            <strong><?php _e('Opps ! Video Source Not Found', 'ayyash') ?></strong> <?php _e('Seems You did not selected any video or source type in your post area', 'ayyash') ?>
                        </div>

                    <?php } ?>

                    <?php get_template_part('partials/content', 'sticky'); ?>

                    <h3 class="post-title entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                    </h3>

                    <?php if ('post' == get_post_type()) : ?>
                        <div class="entry-meta">
                            <?php rox_post_meta(); ?>
                        </div><!-- .entry-meta -->
                    <?php endif; ?>

                </div><!--/.entry-content-gallery-->
            </div>
        </article>
    </div>
<?php } else if ($layout == 'normal') { ?>

    <article id="post-<?php the_ID(); ?>" <?php post_class('post-normal'); ?>>
        <header class="entry-header">
            <?php get_template_part('partials/content', 'sticky'); ?>
            <?php
            $content = apply_filters('the_content', get_the_content());
            $video = false;

            // Only get video from the content if a playlist isn't present.
            if (false === strpos($content, 'wp-playlist-script')) {
                $video = get_media_embedded_in_content($content, array('video', 'object', 'embed', 'iframe'));
            }

            $rox_video_type = get_post_meta(get_the_ID(), 'roxtheme_video_source', true);

            $rox_video_id_or_embed = get_post_meta(get_the_ID(), 'roxtheme_video', true);

            $rox_video_time_duration = get_post_meta(get_the_ID(), 'roxtheme_video_durations', true);

            if (function_exists('rwmb_meta') && !empty($rox_video_type)) {

                if ($rox_video_type == 'youtube') {

                    if (!empty($rox_video_id_or_embed)) {
                        ?>
                        <div class="post-video post-image blog-normal effect slide-top">
                            <div id="player" data-plyr-provider="youtube"
                                 data-plyr-embed-id="<?php echo esc_attr($rox_video_id_or_embed) ?>"></div>
                        </div>
                    <?php }
                } elseif ($rox_video_type == 'vimeo') {

                    if (!empty($rox_video_id_or_embed)) { ?>
                        <div class="post-video post-image blog-normal effect slide-top">
                            <div id="player" data-plyr-provider="vimeo"
                                 data-plyr-embed-id="<?php echo esc_attr($rox_video_id_or_embed) ?>"></div>
                        </div>

                    <?php }
                } else { ?>

                    <div class="alert alert-warning">
                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                        <strong><?php _e('Opps ! Video Source Not Found', 'ayyash') ?></strong> <?php _e('Seems You did not selected any video or source type in your post area', 'ayyash') ?>
                    </div>

                <?php }

                ?>
            <?php } elseif (!empty($video)) {

                foreach ($video as $video_html) {
                    echo '<div class="post-video post-image blog-normal effect slide-top">';
                    echo wp_kses($video_html,array(
                            'iframe' => array(
                                'width' => array(),
                                'height' => array(),
                                'src' => array(),
                                'frameborder' => array(),
                                'allowfullscreen' => array()
                    ),));
                    echo '</div>';
                }

            } else { ?>

                <div class="alert alert-warning">
                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                    <strong><?php _e('Opps ! Video Source Not Found', 'ayyash') ?></strong> <?php _e('Seems You did not selected any video or source type in your post area', 'ayyash') ?>
                </div>

            <?php } ?>

            <?php the_title(sprintf('<h3 class="post-title entry-title"><a href="%s" rel="bookmark">', esc_url(get_permalink())), '</a></h3>'); ?>

            <?php if ('post' == get_post_type()) : ?>
                <div class="entry-meta">
                    <?php rox_post_meta(); ?>
                </div><!-- .entry-meta -->
            <?php endif; ?>

        </header>
        <!-- .entry-header -->

        <div class="entry-content">
            <?php the_excerpt(); ?>

            <?php wp_link_pages(array(
                'before' => '<div class="page-links">' . __('Pages:', 'ayyash'),
                'after' => '</div>',
            ));
            ?>
        </div>
        <!-- .entry-content -->

        <footer class="entry-footer">
            <?php rox_post_taxonomy($view); ?>
            <?php rox_post_read_more(); ?>
        </footer>
        <!-- .entry-footer -->
    </article><!-- #post-## -->
<?php } else { ?>

    <article <?php post_class('post-half clearfix'); ?> id="post-<?php the_ID(); ?>">
        <?php get_template_part('partials/content', 'sticky'); ?>

        <?php
        $content = apply_filters('the_content', get_the_content());
        $video = false;

        // Only get video from the content if a playlist isn't present.
        if (false === strpos($content, 'wp-playlist-script')) {
            $video = get_media_embedded_in_content($content, array('video', 'object', 'embed', 'iframe'));
        }

        $rox_video_type = get_post_meta(get_the_ID(), 'roxtheme_video_source', true);

        $rox_video_id_or_embed = get_post_meta(get_the_ID(), 'roxtheme_video', true);

        $rox_video_time_duration = get_post_meta(get_the_ID(), 'roxtheme_video_durations', true);

        if (function_exists('rwmb_meta') && !empty($rox_video_type)) {

            if ($rox_video_type == 'youtube') {

                if (!empty($rox_video_id_or_embed)) {
                    ?>
                    <div class="medium-left post-video post-image blog-medium effect slide-top">
                        <div id="player" data-plyr-provider="youtube"
                             data-plyr-embed-id="<?php echo esc_attr($rox_video_id_or_embed) ?>"></div>
                    </div>
                <?php }
            } elseif ($rox_video_type == 'vimeo') {

                if (!empty($rox_video_id_or_embed)) { ?>
                    <div class="medium-left post-video post-image blog-medium effect slide-top">
                        <div id="player" data-plyr-provider="vimeo"
                             data-plyr-embed-id="<?php echo esc_attr($rox_video_id_or_embed) ?>"></div>
                        <div id="player" data-plyr-provider="youtube" data-plyr-embed-id="bTqVqk7FSmY"></div>
                    </div>

                <?php }
            } else { ?>

                <div class="medium-left alert alert-warning">
                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                    <strong><?php _e('Opps ! Video Source Not Found', 'ayyash') ?></strong> <?php _e('Seems You did not selected any video or source type in your post area', 'ayyash') ?>
                </div>

            <?php }

            ?>
        <?php } elseif (!empty($video)) {
            foreach ($video as $video_html) {
                echo '<div class="medium-left post-video post-image blog-medium effect slide-top">';
                echo wp_kses($video_html,array(
                    'iframe' => array(
                        'width' => array(),
                        'height' => array(),
                        'src' => array(),
                        'frameborder' => array(),
                        'allowfullscreen' => array()
                    ),));
                echo '</div>';
            }
        } else { ?>

            <div class="medium-left alert alert-warning">
                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                <strong><?php _e('Opps ! Video Source Not Found', 'ayyash') ?></strong> <?php _e('Seems You did not selected any video or source type in your post area', 'ayyash') ?>
            </div>

        <?php } ?>

        <div class="entry-content">
            <h3 class="post-title entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
            <?php if ('post' == get_post_type()) : ?>
                <div class="entry-meta">
                    <?php rox_post_meta(); ?>
                </div><!-- .entry-meta -->
            <?php endif; ?>
            <?php the_excerpt() ?>
        </div>

        <footer class="entry-footer">
            <?php rox_post_taxonomy($view); ?>
            <?php rox_post_read_more(); ?>
        </footer><!-- .entry-footer -->

    </article><!-- #post-## -->

<?php }

?>
