<?php
/**
 * The template for displaying product content within loops
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.4.0
 */

defined( 'ABSPATH' ) || exit;

global $product, $this_item_count;

// Ensure visibility.
if ( empty( $product ) || ! $product->is_visible() ) {
	return;
}
?>

<?php
    $rox_item_count = wc_get_loop_prop( 'columns' );
    $column_val     = (int) (12 / $rox_item_count );

    $this_item_count++;
?>

<li class='col-md-<?php echo esc_attr( $column_val ); ?> col-sm-6'>

    <div <?php wc_product_class(); ?> >

        <div class="rox-product-item">
            <div class="product-thumb">
                <a href="<?php the_permalink()?>"><img src="<?php the_post_thumbnail_url(get_the_ID(),'shop-product-image'); ?>" class="img-responsive" alt="<?php the_title(); ?>"/></a>
                <div class="product-badge-wrap">
                    <?php echo rox_get_product_discount(); ?>
                    <div class="divider"></div>
                    <?php echo rox_get_product_badge( get_the_ID(), true, array('hot', 'sale') ); ?>
                </div>
                <div class="product-actions">
                    <?php if( class_exists( 'YITH_WCQV' ) ) echo do_shortcode( sprintf( '[yith_quick_view label="<i class=\'ti-zoom-in\'></i><span class=\'rox-tooltip\'>%s</span>"]', __( 'Quick View', 'ayyash' ) ) ); ?>
                    <?php if( class_exists( 'YITH_Woocompare' ) ) echo do_shortcode( sprintf( '[yith_compare_button]<i class="ti-control-shuffle" aria-hidden="true"></i><span class="rox-tooltip">%s</span>[/yith_compare_button]', __( 'Compare', 'ayyash' ) ) ); ?>
                    <?php woocommerce_template_loop_add_to_cart(); ?>
                </div>
            </div>

            <div class="product-content">

                <?php if(!empty($product->get_average_rating())) : ?>
                <div class="rating">
                    <?php echo wc_get_rating_html( $product->get_average_rating() ); ?>
                </div>
                <?php endif; ?>

                <?php if(!empty(get_the_title())) : ?>
                <h3 class="rox-product-title"><a href="<?php the_permalink()?>"><?php echo get_the_title(); ?></a></h3>
                <?php endif; ?>
                <div class="product-price-wrap">
                    <?php wc_get_template( 'loop/price.php' ); ?>
                </div>
            </div>
        </div>

    </div>

</li>

<?php


if( ( $this_item_count % $rox_item_count ) == 0 ) {

    echo "</ul>";
    echo "<ul class='row products rox-products columns-$rox_item_count'>";
}


?>
