<?php
/**
 * Single Product Share
 *
 * Sharing plugins can hook into here or you can add your own code directly.
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/share.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.5.0
 */

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}

do_action('woocommerce_share'); // Sharing plugins can hook into here.

/* Omit closing PHP tag at the end of PHP files to avoid "headers already sent" issues. */

?>
<div class="share-product">
    <ul class="list-inline-block">
        <li class="mail-product">
            <a target="_blank" href="mailto:?subject=<?php the_title(); ?>&body=<?php the_permalink(); ?>"><i class="ti-email"></i></a>
        </li>
        <li class="share-product">
            <a href="javascript:void(0)"><i class="ti-sharethis"></i></a>
            <div class="single-list-social" data-id="2463">
                <label>Share to friends:</label>
                <ul class="list-inline-block flex-between">
                    <li class="has_count">
                        <a target="_blank" data-social="google" title="Share on Google +" href="https://plus.google.com/share?url=<?php the_permalink(); ?>">
                            <i class="ti-google" aria-hidden="true"></i>
                        </a>
                    </li>
                    <li class="has_count">
                        <a target="_blank" data-social="facebook" title="Share on Facebook" href="http://www.facebook.com/sharer.php?u=<?php the_permalink(); ?>">
                            <i class="ti-facebook" aria-hidden="true"></i>
                        </a>
                    </li>
                    <li class="has_count">
                        <a target="_blank" data-social="pinterest" title="Share on Pinterest" href="http://pinterest.com/pin/create/button/?url=<?php the_permalink(); ?>&amp;media=<?php ?>">
                            <i class="ti-pinterest" aria-hidden="true"></i>
                        </a>
                    </li>
                    <li class="has_count">
                        <a target="_blank" data-social="twitter" title="Share on Twitter" href="http://www.twitter.com/share?url=<?php the_permalink(); ?>&text=<?php the_title(); ?>">
                            <i class="ti-twitter" aria-hidden="true"></i>
                        </a>
                    </li>
                    <li class="total-count hidden">0</li>
                </ul>
            </div>
        </li>
    </ul>
</div>